TYPOS3.Flow - Bug # 45953

Status: Resolved Priority: Should have
Author: Dominique Feyer Category:

Created: 2013-03-01 Assigned To:

Updated: 2013-04-05 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: Git master

Subject: Sessionless auth broke TestingProvider

Description

This problem is caused by the following lines in Settings.yaml (under Testing directory)

requestPatterns:
controllerObjectName: 'TYPO3\Flow\Tests\.*'

Other package need to be hable to use the TestingProvider in their own tests.

The problem is caused by this commit: 7d79b800d4237a359d3876a69538078dc2298d18 (#45282)

Associated revisions

Revision bd46c612 - 2013-03-05 13:23 - Bastian Waidelich
[BUGFIX] Fix security related functional tests

With the fix related to "sessionless authentication"
(15f86¢cb7a3a3fff3220d61d705f216e1b1d4f2369) settings have been
adjusted in order to use the testing provider & token only for requests
matching a ControllerObjectName of "TYPO3\Flow\Tests\.*".

This change adjusts the tests accordingly.

Change-Id: 1307cd295c43c346f18acc5c1fd2886166¢10cbbb
Related: #45282

Resolves: #45953
Releases: master, 2.0

Revision 6a94328f - 2013-04-05 11:34 - Bastian Waidelich
[BUGFIX] Fix security related functional tests

With the fix related to "sessionless authentication"
(15f86¢cb7a3a3fff3220061d705f216e1b1d4f2369) settings have been
adjusted in order to use the testing provider & token only for requests

matching a ControllerObjectName of "TYPO3\Flow\Tests\.*".

This change adjusts the tests accordingly.
Change-Id: 1307cd295c43c346f18acc5c1fd2886166¢c10cbbb
Related: #45282

Resolves: #45953

Releases: master, 2.0

History

#1 - 2013-03-01 22:31 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18554

#2 - 2013-03-05 13:23 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/18696

#3 - 2013-03-06 10:37 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:bd46c6127889ae27c6b9848d624bcfbb89ef1433.

#4 - 2013-03-20 17:24 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.

It is available at https://review.typo3.0rg/19107

#5 - 2013-04-05 11:36 - Gerrit Code Review

Patch set 2 for branch 2.0 has been pushed to the review server.

It is available at https://review.typo3.org/19107

#6 - 2013-04-05 11:38 - Bastian Waidelich
- Status changed from Under Review to Resolved

Applied in changeset commit:6a94328fee89740dc40edc930125840fae3d0025.

2015-08-04

22


https://review.typo3.org/18554
https://review.typo3.org/18696
https://review.typo3.org/19107
https://review.typo3.org/19107

